<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<script src="../js/jquery-2.0.3.min.js"></script>
		<script src="../js/jquery.mobile-1.3.1.min.js"></script>
		<link rel="stylesheet" href="../css/jquery.mobile-1.3.1.min.css">
		<script>
			$(document).ready(function(){
				var tmp = (typeof kala_mini_group!="undefined")?kala_mini_group.loadList():'["0|kala1","1|kala2"]';
				//$("#msg_log").html(tmp);
				mahsolat = JSON.parse(tmp);
				loadMahsolat(mahsolat);
			});
			function loadMahsolat(mahsolat)
			{
				var out = '';
				var tmp;
				for(var i=0;i<mahsolat.length;i++)
				{
					tmp = mahsolat[i].split("|");
					out +="<button class='btp' style='width:100%;' id='bt_"+tmp[0]+"' >"+tmp[1]+"</button>";
				}
				$("#mahsolat_div").html(out);
				$(".btp").buttonMarkup({theme: "c"});
				$(".btp").on("tap",function(){
					var tm =this.id.split("_");
					//$("#msg_log").html("آیدی:"+tm[1]);
					kala_mini_group.loadKala(parseInt(tm[1],10));
				});
			}
			function loadKala()
			{
				var url=kala_mini_group.getLink()+"android/kala_mini_group.php";
				$("#mahsolat_div").html("<div align='center' ><img src='../img/status_fb.gif' ></div>");
				kala_mini_group.getAjax(url,"ajaxSucceed,ajaxFailed");
			}
			function ajaxFailed(inp)
			{
				$("#msg_log").html("failed:"+inp);
			}
			function ajaxSucceed(inp)
			{
				//$("#msg_log").append(inp+"<br>");
				var res= JSON.parse(inp);
				var tt;
				for(var j=0;j<res.length;j++)
				{
					//"#msg_log").append("id:"+parseInt(res[j].id,10)+",kala_group_id:"+parseInt(res[j].kala_group_id,10)+",name:"+res[j].name+",pic:"+res[j].pic+"<br>");	
					tt = kala_mini_group.add(parseInt(res[j].id,10),parseInt(res[j].kala_group_id,10),res[j].name,res[j].pic);
					//tt = 'tt';
					//$("#msg_log").append("add returned:<br>"+tt+"<br> id:"+res[j].id+"<br>");
				}
				var tmp = (typeof kala_mini_group!="undefined")?kala_mini_group.loadList():'["0|kala1","1|kala2"]';
				//$("#msg_log").html(tmp);
				mahsolat = JSON.parse(tmp);
				loadMahsolat(mahsolat);
			}
		</script>
	</head>
	<body>
		<button onclick="loadKala();" data-theme="b" >
			بروزرسانی
		</button>
		<div id="mahsolat_div" >
		</div>
		<div id="tmp_div" >
		</div>
		<div id="msg_log" >
		</div>
	</body>
</html>
